const cleanupScript = `
DELETE FROM ACL_RESPONSIBILITY_SCOPE_ENTRY;
DELETE FROM ACL_OBJECT_IDENTITY;

-- ACL_GROUP
DELETE FROM ACL_GROUP_PERMISSION WHERE ACL_GROUP_ID > 10;
DELETE FROM ACL_GROUP WHERE ID > 10;

-- AUTOMATION REQUEST WORKSPACE
DELETE FROM AUTOMATION_REQUEST_LIBRARY_CONTENT;
DELETE FROM REMOTE_AUTOMATION_REQUEST_EXTENDER;

-- MILESTONES
DELETE FROM MILESTONE_TEST_CASE;
DELETE FROM MILESTONE_REQ_VERSION;
DELETE FROM MILESTONE_CAMPAIGN;
DELETE FROM MILESTONE_BINDING;
DELETE FROM MILESTONE_BINDING_PERIMETER;
DELETE FROM MILESTONE;

-- REQUIREMENT WORKSPACE
DELETE FROM REQUIREMENT_VERSION_LINK;
DELETE FROM REQUIREMENT_VERSION_LINK_TYPE WHERE ROLE_1_CODE NOT IN ('RELATED', 'PARENT', 'DUPLICATE');
UPDATE REQUIREMENT_VERSION_LINK_TYPE SET IS_DEFAULT = false;
UPDATE REQUIREMENT_VERSION_LINK_TYPE SET IS_DEFAULT = true WHERE ROLE_1_CODE = 'RELATED';
DELETE FROM SYNC_REQUIREMENT_CREATION;
DELETE FROM SYNC_REQUIREMENT_UPDATE;
DELETE FROM REQUIREMENT_PROPERTY_CHANGE;
DELETE FROM REQUIREMENT_CREATION;
DELETE FROM REQUIREMENT_LARGE_PROPERTY_CHANGE;
DELETE FROM REQUIREMENT_AUDIT_EVENT;
DELETE FROM VERIFYING_STEPS;
DELETE FROM REQUIREMENT_VERSION_COVERAGE;
DELETE FROM SPRINT_REQUIREMENT_SYNC_EXTENDER;
DELETE FROM SPRINT_REQ_VERSION;
UPDATE REQUIREMENT SET CURRENT_VERSION_ID = NULL;
DELETE FROM REQUIREMENT_VERSION;
DELETE FROM RLN_RELATIONSHIP;
DELETE FROM RLN_RELATIONSHIP_CLOSURE;
DELETE FROM REQUIREMENT_LIBRARY_CONTENT;
DELETE FROM REQUIREMENT_FOLDER_SYNC_EXTENDER;
DELETE FROM REQUIREMENT_FOLDER;
DELETE FROM REQUIREMENT_SYNC_EXTENDER;
DELETE FROM REMOTE_SYNCHRONISATION;
UPDATE REQUIREMENT SET HIGH_LEVEL_REQUIREMENT_ID = NULL;
DELETE FROM HIGH_LEVEL_REQUIREMENT;
DELETE FROM REQUIREMENT;
DELETE FROM REQUIREMENT_LIBRARY_NODE;
DELETE FROM SIMPLE_RESOURCE;
DELETE FROM RESOURCE;

-- BUGTRACKERS
DELETE FROM ISSUE;
DELETE FROM BUGTRACKER_PROJECT;

-- CAMPAIGN WORKSPACE
-- EXECUTIONS
DELETE FROM EXECUTION_EXECUTION_STEPS;
DELETE FROM ITEM_TEST_PLAN_EXECUTION;
DELETE FROM EXECUTION_STEP;
DELETE FROM KEYWORD_EXECUTION;
DELETE FROM SCRIPTED_EXECUTION;
DELETE FROM AUTOMATED_EXECUTION_EXTENDER;
DELETE FROM AUTOMATED_SUITE_WORKFLOWS;
DELETE FROM AUTOMATED_SUITE;
DELETE FROM SESSION_NOTE;
DELETE FROM EXPLORATORY_EXECUTION;
DELETE FROM EXPLORATORY_EXECUTION_EVENT;
DELETE FROM EXECUTION;

DELETE FROM CAMPAIGN_TEST_PLAN_ITEM;
DELETE FROM ITEM_TEST_PLAN_LIST;
DELETE FROM TEST_SUITE_TEST_PLAN_ITEM;
DELETE FROM EXPLORATORY_SESSION_OVERVIEW;
DELETE FROM ITERATION_TEST_PLAN_ITEM;
DELETE FROM TEST_PLAN_ITEM;
DELETE FROM TEST_PLAN;
DELETE FROM CLN_RELATIONSHIP_CLOSURE;
DELETE FROM CLN_RELATIONSHIP;
DELETE FROM CAMPAIGN_LIBRARY_CONTENT;
DELETE FROM CAMPAIGN_ITERATION;
DELETE FROM CLN_RELATIONSHIP;
DELETE FROM CLN_RELATIONSHIP_CLOSURE;
DELETE FROM CAMPAIGN_FOLDER;
DELETE FROM CAMPAIGN;
DELETE FROM ITERATION_TEST_SUITE;
DELETE FROM ITERATION;
DELETE FROM TEST_SUITE;
DELETE FROM SPRINT_GROUP;
DELETE FROM SPRINT;
DELETE FROM CAMPAIGN_LIBRARY_NODE;

-- ACTION WORD
DELETE FROM ACTION_WORD_PARAMETER_VALUE;
DELETE FROM ACTION_WORD_PARAMETER;
DELETE FROM ACTION_WORD_TEXT;
DELETE FROM ACTION_WORD_FRAGMENT;
DELETE FROM KEYWORD_TEST_STEP;
DELETE FROM ACTION_WORD;
DELETE FROM AWLN_RELATIONSHIP;
DELETE FROM AWLN_RELATIONSHIP_CLOSURE;
DELETE FROM ACTION_WORD_LIBRARY_NODE;

-- TEST CASE WORKSPACE
DELETE FROM DATASET_PARAM_VALUE;
DELETE FROM CALL_TEST_STEP;
DELETE FROM DATASET;
DELETE FROM PARAMETER;
DELETE FROM ACTION_TEST_STEP;
DELETE FROM TEST_CASE_STEPS;
DELETE FROM TEST_STEP;
DELETE FROM TCLN_RELATIONSHIP_CLOSURE;
DELETE FROM TCLN_RELATIONSHIP;
DELETE FROM TEST_CASE_LIBRARY_CONTENT;
DELETE FROM TEST_CASE_FOLDER;
DELETE FROM KEYWORD_TEST_CASE;
DELETE FROM SCRIPTED_TEST_CASE;
DELETE FROM EXPLORATORY_TEST_CASE;
DELETE FROM TEST_CASE;
DELETE FROM TEST_CASE_LIBRARY_NODE;
DELETE FROM AUTOMATED_TEST;
DELETE FROM TEST_AUTOMATION_PROJECT;
DELETE FROM AUTOMATION_REQUEST;

-- CUSTOM FIELDS
DELETE FROM CUSTOM_FIELD_VALUE_OPTION;
DELETE FROM DENORMALIZED_FIELD_VALUE_OPTION;
DELETE FROM DENORMALIZED_FIELD_RENDERING_LOCATION;
DELETE FROM DENORMALIZED_FIELD_VALUE;
DELETE FROM CUSTOM_FIELD_VALUE;
DELETE FROM CUSTOM_FIELD_RENDERING_LOCATION;
DELETE FROM CUSTOM_FIELD_BINDING;
DELETE FROM CUSTOM_FIELD_OPTION;
DELETE FROM CUSTOM_FIELD;

-- ENVIRONMENT VARIABLES
DELETE FROM DENORMALIZED_ENVIRONMENT_VARIABLE;
DELETE FROM ENVIRONMENT_VARIABLE_BINDING;
DELETE FROM ENVIRONMENT_VARIABLE_OPTION;
DELETE FROM ENVIRONMENT_VARIABLE;
DELETE FROM DENORMALIZED_ENVIRONMENT_TAG;
DELETE FROM AUTOMATION_ENVIRONMENT_TAG;

-- CHARTS
DELETE FROM CHART_AXIS_COLUMN;
DELETE FROM CHART_FILTER_VALUES;
DELETE FROM CHART_FILTER;
DELETE FROM CHART_MEASURE_COLUMN;
DELETE FROM CHART_PROJECT_SCOPE;
DELETE FROM CHART_SCOPE;
DELETE FROM CUSTOM_REPORT_CHART_BINDING;
DELETE FROM CHART_DEFINITION;

-- CUSTOM REPORTS
DELETE FROM CUSTOM_REPORT_REPORT_BINDING;
DELETE FROM CUSTOM_EXPORT_COLUMN;
DELETE FROM CUSTOM_EXPORT_SCOPE;
DELETE FROM CUSTOM_REPORT_CUSTOM_EXPORT;
DELETE FROM CUSTOM_REPORT_DASHBOARD;
DELETE FROM CUSTOM_REPORT_FOLDER;
DELETE FROM REPORT_DEFINITION;
DELETE FROM CRLN_RELATIONSHIP;
DELETE FROM CRLN_RELATIONSHIP_CLOSURE;
DELETE FROM CUSTOM_REPORT_LIBRARY_NODE;

DELETE FROM GRID_COLUMN_DISPLAY_CONFIGURATION;
DELETE FROM GRID_COLUMN_DISPLAY_REFERENCE;

-- PROJECTS
DELETE FROM STORED_CREDENTIALS;
DELETE FROM TEMPLATE_CONFIGURABLE_PLUGIN_BINDING;
DELETE FROM PROJECT_FILTER_ENTRY;
DELETE FROM PROJECT_FILTER;
UPDATE PROJECT SET TEMPLATE_ID = NULL;
DELETE FROM PROJECT;
DELETE FROM BUGTRACKER;

DELETE FROM LIBRARY_PLUGIN_BINDING_PROPERTY;
DELETE FROM LIBRARY_PLUGIN_BINDING;

DELETE FROM SCM_REPOSITORY;
DELETE FROM SCM_SERVER;
DELETE FROM TEST_AUTOMATION_SERVER;
DELETE FROM AI_SERVER;
DELETE FROM DISABLED_EXECUTION_STATUS;

DELETE FROM CUSTOM_REPORT_LIBRARY;
DELETE FROM AUTOMATION_REQUEST_LIBRARY;
DELETE FROM CAMPAIGN_LIBRARY;
DELETE FROM TEST_CASE_LIBRARY;
DELETE FROM REQUIREMENT_LIBRARY;
DELETE FROM AUTOMATION_REQUEST_LIBRARY;
DELETE FROM ACTION_WORD_LIBRARY;

-- INFO LISTS
DELETE FROM INFO_LIST_ITEM WHERE LIST_ID NOT IN (1, 2, 3);
DELETE FROM INFO_LIST WHERE INFO_LIST_ID NOT IN (1, 2, 3);

DELETE FROM API_TOKEN;
DELETE FROM ATTACHMENT;
DELETE FROM ATTACHMENT_CONTENT;
DELETE FROM ATTACHMENT_LIST;
DELETE FROM CONNECTION_ATTEMPT_LOG;
DELETE FROM THIRD_PARTY_SERVER;
DELETE FROM ISSUE_LIST;
DELETE FROM AUTH_USER WHERE AUTH_USER.LOGIN != 'admin';
DELETE FROM CORE_PARTY_AUTHORITY WHERE PARTY_ID != 1;
DELETE FROM CORE_GROUP_MEMBER WHERE PARTY_ID != 1;
DELETE FROM CORE_TEAM_MEMBER WHERE USER_ID != 1;
DELETE FROM CORE_USER WHERE PARTY_ID != 1;
DELETE FROM CORE_TEAM WHERE PARTY_ID != 1;
DELETE FROM PARTY_PREFERENCE WHERE PARTY_ID != 1;
DELETE FROM CORE_PARTY WHERE PARTY_ID != 1;

-- CORE_CONFIG
DELETE FROM CORE_CONFIG WHERE STR_KEY IN (
    'activated.user.excess',
    'autoconnect.on.connection.enabled',
    'feature.caseInsensitiveActions.enabled',
    'feature.caseInsensitiveLogin.enabled',
    'feature.fileRepository.enabled',
    'feature.milestone.enabled',
    'feature.searchActivation.enabled',
    'feature.stackTrace.enabled',
    'plugin.license.expiration',
    'squashtest.tm.callbackurl'
);
UPDATE CORE_CONFIG SET VALUE = 'txt, doc, xls, ppt, docx, xlsx, pptx, odt, ods, odp, pdf' WHERE STR_KEY = 'uploadfilter.fileExtensions.whitelist';
UPDATE CORE_CONFIG SET VALUE = '2000000' WHERE STR_KEY = 'uploadfilter.upload.import.sizeLimitInBytes';
UPDATE CORE_CONFIG SET VALUE = '4000000' WHERE STR_KEY = 'uploadfilter.upload.sizeLimitInBytes';
UPDATE CORE_CONFIG SET VALUE = '<p><span style="color:#ff0000;">The administrator default login is <strong>admin/admin</strong> (you can change this password in the &quot;<em>My account (admin)</em>&quot; menu).</span></p><p>Go to the &quot;<em>Administration&quot;</em> menu (in the bottom left corner) to create new users and projects, or change this default home message.</p><p>&nbsp;</p>'
    WHERE STR_KEY IN ('LOGIN_MESSAGE', 'WELCOME_MESSAGE');
UPDATE CORE_CONFIG SET VALUE = '' WHERE STR_KEY = 'BANNER_MESSAGE';
`;

module.exports = {
  cleanupScript: cleanupScript
};
